org.richfaces.component.html

## Class HtmlColumn

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIColumn
      - - org.richfaces.component.UIColumn
        - - org.richfaces.component.html.HtmlColumn

- All Implemented Interfaces:
    javax.faces.component.StateHolder, org.richfaces.component.Column

      public class HtmlColumn
      extends UIColumn

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlColumn()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColspan()`
    `java.util.Comparator` | `getComparator()`
    `java.lang.String` | `getDir()`
    `java.lang.String` | `getFamily()`
    `java.lang.Object` | `getFilterBy()`
    `java.lang.String` | `getFilterEvent()`
    `javax.el.MethodExpression` | `getFilterMethod()`
    `java.lang.String` | `getFooterClass()`
    `java.lang.String` | `getHeaderClass()`
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getLang()`
    `int` | `getRowspan()`
    `java.lang.Object` | `getSortBy()`
    `java.lang.String` | `getSortExpression()`
    `java.lang.String` | `getSortIcon()`
    `java.lang.String` | `getSortIconAscending()`
    `java.lang.String` | `getSortIconDescending()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTitle()`
    `java.lang.String` | `getWidth()`
    `boolean` | `isBreakBefore()`
    `boolean` | `isFilterExpression()`
    `boolean` | `isSelfSorted()`
    `boolean` | `isSortable()`
    `boolean` | `isVisible()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setBreakBefore(boolean _breakBefore)`
    `void` | `setColspan(int _colspan)`
    `void` | `setComparator(java.util.Comparator _comparator)`
    `void` | `setDir(java.lang.String _dir)`
    `void` | `setFilterBy(java.lang.Object _filterBy)`
    `void` | `setFilterEvent(java.lang.String _filterEvent)`
    `void` | `setFilterExpression(boolean _filterExpression)`
    `void` | `setFilterMethod(javax.el.MethodExpression _filterMethod)`
    `void` | `setFooterClass(java.lang.String _footerClass)`
    `void` | `setHeaderClass(java.lang.String _headerClass)`
    `void` | `setLabel(java.lang.String _label)`
    `void` | `setLang(java.lang.String _lang)`
    `void` | `setRowspan(int _rowspan)`
    `void` | `setSelfSorted(boolean _selfSorted)`
    `void` | `setSortable(boolean _sortable)`
    `void` | `setSortBy(java.lang.Object _sortBy)`
    `void` | `setSortExpression(java.lang.String _sortExpression)`
    `void` | `setSortIcon(java.lang.String _sortIcon)`
    `void` | `setSortIconAscending(java.lang.String _sortIconAscending)`
    `void` | `setSortIconDescending(java.lang.String _sortIconDescending)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`
    `void` | `setTitle(java.lang.String _title)`
    `void` | `setVisible(boolean _visible)`
    `void` | `setWidth(java.lang.String _width)`

    - ### Methods inherited from class org.richfaces.component.UIColumn

      `getFilterField, getFilterValue, getSortField, getSortOrder, isRendered, isRendered, processDecodes, processUpdates, processValidators, setFilterValue, setSortOrder, toggleSortOrder`

    - ### Methods inherited from class javax.faces.component.UIColumn

      `getFooter, getHeader, setFooter, setHeader`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlColumn

          public HtmlColumn()

  - ### Method Detail

    - #### isBreakBefore

          public boolean isBreakBefore()

    - #### setBreakBefore

          public void setBreakBefore(boolean _breakBefore)

    - #### getColspan

          public int getColspan()

    - #### setColspan

          public void setColspan(int _colspan)

    - #### getComparator

          public java.util.Comparator getComparator()

    - #### setComparator

          public void setComparator(java.util.Comparator _comparator)

    - #### getDir

          public java.lang.String getDir()

    - #### setDir

          public void setDir(java.lang.String _dir)

    - #### getFilterBy

          public java.lang.Object getFilterBy()

    - #### setFilterBy

          public void setFilterBy(java.lang.Object _filterBy)

    - #### getFilterEvent

          public java.lang.String getFilterEvent()

    - #### setFilterEvent

          public void setFilterEvent(java.lang.String _filterEvent)

    - #### isFilterExpression

          public boolean isFilterExpression()

    - #### setFilterExpression

          public void setFilterExpression(boolean _filterExpression)

    - #### getFilterMethod

          public javax.el.MethodExpression getFilterMethod()

    - #### setFilterMethod

          public void setFilterMethod(javax.el.MethodExpression _filterMethod)

    - #### getFooterClass

          public java.lang.String getFooterClass()

    - #### setFooterClass

          public void setFooterClass(java.lang.String _footerClass)

    - #### getHeaderClass

          public java.lang.String getHeaderClass()

    - #### setHeaderClass

          public void setHeaderClass(java.lang.String _headerClass)

    - #### getLabel

          public java.lang.String getLabel()

    - #### setLabel

          public void setLabel(java.lang.String _label)

    - #### getLang

          public java.lang.String getLang()

    - #### setLang

          public void setLang(java.lang.String _lang)

    - #### getRowspan

          public int getRowspan()

    - #### setRowspan

          public void setRowspan(int _rowspan)

    - #### isSelfSorted

          public boolean isSelfSorted()

    - #### setSelfSorted

          public void setSelfSorted(boolean _selfSorted)

    - #### getSortBy

          public java.lang.Object getSortBy()

    - #### setSortBy

          public void setSortBy(java.lang.Object _sortBy)

    - #### getSortExpression

          public java.lang.String getSortExpression()

    - #### setSortExpression

          public void setSortExpression(java.lang.String _sortExpression)

    - #### getSortIcon

          public java.lang.String getSortIcon()

      Specified by:
        `getSortIcon` in class `UIColumn`

    - #### setSortIcon

          public void setSortIcon(java.lang.String _sortIcon)

      Specified by:
        `setSortIcon` in class `UIColumn`

    - #### getSortIconAscending

          public java.lang.String getSortIconAscending()

      Specified by:
        `getSortIconAscending` in class `UIColumn`

    - #### setSortIconAscending

          public void setSortIconAscending(java.lang.String _sortIconAscending)

      Specified by:
        `setSortIconAscending` in class `UIColumn`

    - #### getSortIconDescending

          public java.lang.String getSortIconDescending()

      Specified by:
        `getSortIconDescending` in class `UIColumn`

    - #### setSortIconDescending

          public void setSortIconDescending(java.lang.String _sortIconDescending)

      Specified by:
        `setSortIconDescending` in class `UIColumn`

    - #### isSortable

          public boolean isSortable()

    - #### setSortable

          public void setSortable(boolean _sortable)

    - #### getStyle

          public java.lang.String getStyle()

    - #### setStyle

          public void setStyle(java.lang.String _style)

    - #### getStyleClass

          public java.lang.String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String _title)

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in class `UIColumn`

    - #### setVisible

          public void setVisible(boolean _visible)

      Specified by:
        `setVisible` in class `UIColumn`

    - #### getWidth

          public java.lang.String getWidth()

    - #### setWidth

          public void setWidth(java.lang.String _width)

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIColumn`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `UIColumn`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `UIColumn`

Copyright © 2014. All Rights Reserved.